Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.syncpeer
Class ContainerExPeer

    java.lang.Object
      echopointng.ui.syncpeer.AbstractEchoPointPeer
          echopointng.ui.syncpeer.AbstractEchoPointContainerPeer
              echopointng.ui.syncpeer.ContainerExPeer

All Implemented Interfaces:
  ComponentSynchronizePeer, DomUpdateSupport

    public class ContainerExPeer

extends AbstractEchoPointContainerPeer

`ContainerExPeer` is a peer for `ContainerEx`

Field Summary

Fields inherited from class echopointng.ui.syncpeer.AbstractEchoPointPeer
`DEFAULT_CONTAINER_TAG, partialUpdateManager`

Constructor Summary
`ContainerExPeer()`

Method Summary
`void` | `renderHtml(RenderingContext rc, org.w3c.dom.Node parentNode, Component component)` This is the rendering method you must implement if you are to use `AbstractEchoPointPeer`.
`protected org.w3c.dom.Element` | `renderReplaceableChild(RenderContext rc, ServerComponentUpdate update, org.w3c.dom.Node parentNode, Component child)` a replacement that uses DIV instead of BDO for containership

Methods inherited from class echopointng.ui.syncpeer.AbstractEchoPointContainerPeer
`getContainerId, renderUpdate`

Methods inherited from class echopointng.ui.syncpeer.AbstractEchoPointPeer
`disposeRenderState, renderAdd, renderDispose, renderHtml, renderUpdateAddChildren, renderUpdateBaseImpl, renderUpdateRemoveChildren, retreiveRenderState, storeRenderState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerExPeer

    public ContainerExPeer()

Method Detail

### renderHtml

    public void renderHtml(RenderingContext rc,
                           org.w3c.dom.Node parentNode,
                           Component component)

  Description copied from class: `AbstractEchoPointPeer`
  This is the rendering method you must implement if you are to use `AbstractEchoPointPeer`.

  Its a simpler wrapper for the standard one but provides some neato setup services that would otherwise be repeated over and over again.

  Note the use of RenderingContext object instead of the standard Echo RenderContext as this provides more rich code facilities.

  Specified by:
    `renderHtml` in class `AbstractEchoPointPeer`
  Parameters:
    `rc` - - the RenderingContext to use
    `parentNode` - - the parent Node to put content into
    `component` - - the component in question
  See Also:
    `AbstractEchoPointPeer.renderHtml(echopointng.ui.util.RenderingContext, org.w3c.dom.Node, nextapp.echo2.app.Component)`

### renderReplaceableChild

    protected org.w3c.dom.Element renderReplaceableChild(RenderContext rc,
                                                         ServerComponentUpdate update,
                                                         org.w3c.dom.Node parentNode,
                                                         Component child)

  a replacement that uses DIV instead of BDO for containership

  Overrides:
    `renderReplaceableChild` in class `AbstractEchoPointPeer`
  Parameters:
    `rc` - the relevant `RenderContext`
    `update` - the `ServerComponentUpdate` being performed
    `parentNode` - a document fragment to hold the new XHTML
    `child` - the child `Component` to be rendered
  Returns:
    - the new Element that has been used to surround the replaceable child component.
  See Also:
    `AbstractEchoPointPeer.renderReplaceableChild(nextapp.echo2.webcontainer.RenderContext, nextapp.echo2.app.update.ServerComponentUpdate, org.w3c.dom.Node, nextapp.echo2.app.Component)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD